﻿@model IEnumerable<MyKutuphane.DataAccess.Entities.Uye>
    <div class="header">
        <h1 class="page-header">
          Üyeler
        </h1>
    </div>
    <div class="row">

        <div class="col-md-12">
            <div class="p-3">
                <a asp-controller="Uye" asp-action="UyeEkle" class="waves-effect waves-light btn-large"><i class="material-icons left">cloud</i>Yeni Üye Kayıt</a>
            </div>
            <!-- Advanced Tables -->
            <div class="card">
                <div class="card-action float-left">
                    Üye Listesi
                </div>


                <div class="card-content">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover" id="dataTables-example">
                            <thead>
                                <tr>
                                    <th>Id:</th>
                                    <th>Ad:</th>
                                    <th>Soyad:</th>
                                    <th>Telefon:</th>
                                    <th class="center">Detay</th>
                                    <th class="center">Sil</th>


                                </tr>
                            </thead>
                            <tbody>
                                

                                    @foreach (var item in Model)
                                    {
                                <tr class="odd gradeX">
                                    <td>@item.Id</td>
                                    <td>@item.Ad</td>
                                    <td>@item.Soyad</td>
                                    <td>@item.Telefon</td>
                                    <td class="center"> <a class="waves-effect waves-light btn" asp-controller="Uye" asp-action="UyeDetay" asp-route-id="@item.Id">Detay</a></td>
                                    <td class="center"> <a class="waves-effect waves-light btn" asp-controller="Uye" asp-action="UyeDuzenle" asp-route-id="@item.Id">Düzenle</a></td>
                                    <td class="center"><a asp-controller="Uye" asp-action="UyeSil" asp-route-id="@item.Id" class="waves-effect waves-light btn"> Sil </a></td>
                                </tr>
                                    }
                                
                            </tbody>
                        </table>
                    </div>

                </div>
                @*delete modal*@
                <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                Öğrenciyi silmek istediğinizden emin misiniz ?
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Kapat</button>

                                <button type="button" id="OgrenciSil" class="btn btn-danger">Sil</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--End Advanced Tables -->
        </div>
    </div>

    @section Scripts {
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
        <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
        <script src="~/lib/jquery/dist/jquery.min.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
        <script src="~/js/MyScript.js"></script>
        <script>
            $(document).ready(function () {
                $('#dataTables-example').dataTable();
            });
        </script>
    }
